%define         major        2
%define         libname      %mklibname %{name} %{major}
%define         develname    %mklibname -d %{name}

%define         vampdir      %{_libdir}/vamp
%define         ladspadir    %{_libdir}/ladspa
%define         pkgconfdir   %{_libdir}/pkgconfig

Summary:        Audio time-stretching and pitch-shifting library
Name:           rubberband
Version:        1.9.0
Release:        %mkrel 1
License:        GPLv2
Group:          System/Libraries
URL:            http://www.breakfastquay.com/rubberband/
Source0:        http://www.breakfastquay.com/rubberband/files/%{name}-%{version}.tar.bz2
Source1:        http://www.breakfastquay.com/rubberband/usage.txt
Patch0:         rubberband-1.8.2-armel.patch

BuildRequires:  pkgconfig(fftw3)
BuildRequires:  ladspa-devel
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig
BuildRequires:  vamp-plugin-sdk-devel
Requires:       %{libname} = %{version}-%{release}

%description
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another.

%package -n %{libname}
Summary:        Audio time-stretching and pitch-shifting library
Group:          System/Libraries


%description -n %{libname}
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another.

%package -n %{develname}
Summary:        Development files for rubberband
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}


%description -n %{develname}
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another. This
package contains files needed to develop with the rubberband library.

%prep
%setup -q
cp %{SOURCE1} .
%autopatch -p1


%build
autoreconf -fiv

%configure --libdir=%{_libdir}
%make_build all



%install
%make_install  INSTALL_LIBDIR="%{_libdir}" INSTALL_VAMPDIR="%vampdir" INSTALL_LADSPADIR="%ladspadir" INSTALL_PKGDIR="%pkgconfdir"



%files
%doc usage.txt CHANGELOG
%{_bindir}/rubberband

%files -n %{libname}
%{_libdir}/librubberband.so.%{major}{,.*}
%ladspadir/*.cat
%ladspadir/*.so
%vampdir/*.cat
%vampdir/*.so
%{_datadir}/ladspa/rdf/ladspa-rubberband.rdf


%files -n %{develname}
%{_includedir}/rubberband
%{_libdir}/*.so
%{_libdir}/*.a
%pkgconfdir/rubberband.pc



%changelog
* Thu Oct 08 2020 eatdirt <eatdirt> 1.9.0-1.mga8
+ Revision: 1632821
- Upgrade to version 1.9.0

* Tue Feb 18 2020 umeabot <umeabot> 1.8.2-4.mga8
+ Revision: 1538571
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Nov 23 2019 zezinho <zezinho> 1.8.2-3.mga8
+ Revision: 1462292
- rebuild with vamp-2.9.0

* Sun Sep 23 2018 umeabot <umeabot> 1.8.2-2.mga7
+ Revision: 1300869
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 eatdirt <eatdirt> 1.8.2-1.mga7
+ Revision: 1249830
- Upgrade to version 1.8.2

* Sat Feb 03 2018 zezinho <zezinho> 1.8.1-10.mga7
+ Revision: 1198702
- rebuild against new vamp-plugins-sdk-2.7.1

* Sun Feb 21 2016 barjac <barjac> 1.8.1-9.mga6
+ Revision: 975352
- patch for arm build

* Sat Jan 30 2016 daviddavid <daviddavid> 1.8.1-8.mga6
+ Revision: 929208
- rebuild for arm

* Thu Aug 27 2015 cjw <cjw> 1.8.1-7.mga6
+ Revision: 870094
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-6.mga5
+ Revision: 745339
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.8.1-5.mga5
+ Revision: 730107
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-4.mga5
+ Revision: 688735
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.8.1-3.mga4
+ Revision: 518124
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.8.1-2.mga3
+ Revision: 380581
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 eatdirt <eatdirt> 1.8.1-1.mga3
+ Revision: 314531
- Upgrade to version 1.8.1

* Sat Dec 10 2011 eatdirt <eatdirt> 1.7.0-1.mga2
+ Revision: 180381
- Upgrade to 1.7.0, specfile cleaned

* Thu Mar 24 2011 boklm <boklm> 1.5.0-2.mga1
+ Revision: 76206
- rebuild for bug #497

* Thu Mar 10 2011 ennael <ennael> 1.5.0-1.mga1
+ Revision: 67553
- clean spec file
- imported package rubberband

